import matplotlib.pyplot as plt
import seaborn as sb
import arviz as az
import pickle
import pandas as pd
"""
            サンプリングデータの読み出し
"""
with open('temp.pkl', 'rb') as f:
    N, k, i_data, d_fm = pickle.load(f)

print('N =', N)
print('k =', k)
print('Summary...\n', az.summary(i_data))
print('\n', d_fm['theta'].describe(percentiles = [0.025, 0.25, 0.5, 0.75, 0.975]))

with open('Results.txt', "w") as f:
    f.write(az.summary(i_data).__str__())
    f.write('\n\n')
    f.write(d_fm['theta'].describe(percentiles =
                                   [0.025, 0.25, 0.5, 0.75, 0.975]).__str__())
print('Results.txt was saved.')

az.plot_trace(i_data)
plt.savefig('FigTrace.png')
plt.show()
print('FigTrace.png was saved.')

sb.kdeplot(d_fm['theta'])
plt.xlabel(r'$\theta$', fontsize = 16)
plt.savefig('FigTheta.png')
plt.show()
print('FigTheta.png was saved.')

