import stan
import arviz as az
import pickle

N = 10
k = 7
with open('stan_binomial.stan') as f:
    sm = stan.build(f.read(), data = {'N':N, 'k':k})
fit = sm.sample(num_samples=10000)
print(fit)

inference_data = az.from_pystan(posterior = fit, posterior_model = sm)
smry = az.summary(inference_data)
print('Summary =\n',smry)

d_fm = fit.to_frame()
"""
            サンプリングデータの保存
"""
with open('temp.pkl', 'wb') as f:
    pickle.dump((N, k, inference_data, d_fm), f)
print('temp.pkl was saved.')
